/*
 * Copyright (C) 2001-2004, R3vis Corporation.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA, or visit http://www.gnu.org/copyleft/lgpl.html.
 *
 * Original Contributor:
 *   Wes Bethel, R3vis Corporation, Marin County, California
 *
 * Additional Contributor(s):
 *
 * The OpenRM project is located at http://openrm.sourceforge.net/.
 */

/*
 * $Id: rmjpeg.h,v 1.3 2004/01/17 04:06:42 wes Exp $
 * Version: $Name: OpenRM-1-5-2-RC3 $
 * $Revision: 1.3 $
 * $Name: OpenRM-1-5-2-RC3 $
 * $Log: rmjpeg.h,v $
 * Revision 1.3  2004/01/17 04:06:42  wes
 * Updated Copyright line for 2004.
 *
 * Revision 1.2  2003/02/02 02:07:14  wes
 * Updated copyright to 2003.
 *
 * Revision 1.1.1.1  2003/01/28 02:15:23  wes
 * Manual rebuild of rm150 repository.
 *
 * Revision 1.1  2003/01/16 21:54:45  wes
 * Moved header files from include/rmi to their new home in include/rm.
 *
 * Revision 1.2  2002/04/30 19:41:06  wes
 * Updated copyright dates.
 *
 * Revision 1.1  2001/06/03 20:54:19  wes
 * Initial entry.
 *
 */

#ifndef __rmjpeg_h
#define __rmjpeg_h

#if RM_JPEG
#include <jpeglib.h>
#include <jerror.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif
    
/* rmjpeg.c - JPEG input/output [2] */
RM_EXPORT_API  RMimage * rmiReadJPEG (const char * filename);
RM_EXPORT_API  RMenum    rmiWriteJPEG (const char * filename, int quality, const RMimage * image);

#ifdef __cplusplus
}
#endif

#endif
